Subject: Re: [PATCH] Add archive-tree, a cpio archive creator

From: Rene Scharfe <[email-masked]>
Date: Tue, 26 Apr 2005 16:42:04 +0200

Paul Dickson schrieb:
> Use the "newc" format.  The "odc" will generate a lot of errors on a
>  large filesystem (which I discovered this past weekend).

How is that?  I can only imagine problems with the size of individual
files inside an archive because the size field in the header is limited
to 33 bits.

In any case, I switched to the tar format.  It's more complicated but it
turned out that creating these things is still easy.  Parsing them might
be more of a challenge, but we already have tar for that. :-)

See my other mail for more on the tar creator.  I also rebased it to
core GIT because it's no helper script.

Rene